Page MenuHomePhabricator

Adapt buttons' texts to the user interface language
Closed, ResolvedPublic8 Story Points

Description

As an editor I want to use the Wikidata Bridge in my language.

Problem:
Currently the Wikidata Bridge buttons are not translatable. They should be.

BDD
GIVEN a Wikidata Bridge modal
WHEN changing the user interface language
THEN all buttons in the modal change to that language as well

Acceptance criteria:

  • all buttons in the modal are translatable
  • language fallbacks work according to the usual message string fallback chain of MediaWiki if the current language is not available
  • language follows the UI language

Notes
Live updates upon changing of the language when the dialogue is open will not be part of this task

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2019, 9:20 AM
Lydia_Pintscher updated the task description. (Show Details)
darthmon_wmde renamed this task from translatable buttons to Adapt buttons' texts to the user interface language.Jul 30 2019, 11:30 AM
darthmon_wmde set the point value for this task to 8.
Lydia_Pintscher closed this task as Resolved.Sep 24 2019, 4:01 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-5 board.

\o/